Dada2 error (return code 1) - 1

Hi,
I’m new in qiime2. When I run dada2 command I have the following error:
Command: run_dada_paired.R /tmp/tmp75twh9df/forward /tmp/tmp75twh9df/reverse /tmp/tmp75twh9df/output.tsv.biom /tmp/tmp75twh9df/track.tsv /tmp/tmp75twh9df/filt_f /tmp/tmp75twh9df/filt_r 300 300 0 0 2.0 2 consensus 1.0 8 1000000

R version 3.4.1 (2017-06-30)
Loading required package: Rcpp
DADA2 R package version: 1.6.0

  1. Filtering The filter removed all reads: /tmp/tmp75twh9df/filt_f/W7_S7_L001_R1_001.fastq.gz and /tmp/tmp75twh9df/filt_r/W7_S7_L001_R2_001.fastq.gz not written.
    The filter removed all reads: /tmp/tmp75twh9df/filt_f/W6_S6_L001_R1_001.fastq.gz and /tmp/tmp75twh9df/filt_r/W6_S6_L001_R2_001.fastq.gz not written.
    The filter removed all reads: /tmp/tmp75twh9df/filt_f/W5_S5_L001_R1_001.fastq.gz and /tmp/tmp75twh9df/filt_r/W5_S5_L001_R2_001.fastq.gz not written.
    The filter removed all reads: /tmp/tmp75twh9df/filt_f/W4_S4_L001_R1_001.fastq.gz and /tmp/tmp75twh9df/filt_r/W4_S4_L001_R2_001.fastq.gz not written.
    Error in names(answer) <- names1 :
    ‘names’ attribute [9] must be the same length as the vector [7]
    Execution halted
    Traceback (most recent call last):
    File “/home/qiime2/miniconda/envs/qiime2-2018.4/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 229, in denoise_paired
    run_commands([cmd])
    File “/home/qiime2/miniconda/envs/qiime2-2018.4/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File “/home/qiime2/miniconda/envs/qiime2-2018.4/lib/python3.5/subprocess.py”, line 398, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmp75twh9df/forward’, ‘/tmp/tmp75twh9df/reverse’, ‘/tmp/tmp75twh9df/output.tsv.biom’, ‘/tmp/tmp75twh9df/track.tsv’, ‘/tmp/tmp75twh9df/filt_f’, ‘/tmp/tmp75twh9df/filt_r’, ‘300’, ‘300’, ‘0’, ‘0’, ‘2.0’, ‘2’, ‘consensus’, ‘1.0’, ‘8’, ‘1000000’]’ returned non-zero exit status 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/qiime2/miniconda/envs/qiime2-2018.4/lib/python3.5/site-packages/q2cli/commands.py”, line 274, in call
results = action(**arguments)
File “”, line 2, in denoise_paired
File “/home/qiime2/miniconda/envs/qiime2-2018.4/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 231, in bound_callable
output_types, provenance)
File “/home/qiime2/miniconda/envs/qiime2-2018.4/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 366, in callable_executor
output_views = self._callable(**view_args)
File “/home/qiime2/miniconda/envs/qiime2-2018.4/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 244, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Plugin error from dada2:

An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

See above for debug info.

But if I run the same command in a Mac it works. Both in Windows and Mac qiime2 is installed with virtualbox. Please any helps will be very appreciated.

Marco

Hi there @MarcoT!

This usually indicates that DADA2 ran out of memory while processing.

It looks like you might be using the VirtualBox image (based on the filepaths in your traceback; can you please confirm though). You should might be able to increase to allocated memory to the virtual machine, assuming your host machine has more to spare. There are several posts floating around on the forum that describe how to increase the memory of a virtual box machine.

Let us know how that goes! :t_rex: :qiime2:

Hi @thermokarst
Thank you very much for your help. Yes I’m running qiime2 on a virtual machine. I followed your suggestion and the command works now. Thanks again
greetings

1 Like

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.